﻿using System.ComponentModel.DataAnnotations;
using System.Collections.Generic;
using System;

namespace MVC3_Ajax_Form_jQuery_Validation.Models
{
    public class ValidUserNameAttribue : ValidationAttribute
    {
        public override bool IsValid(object value)
        {
            return (value != null && value.ToString() == "Bob");
        }
    }

    public class User
    {
        [Required]
        [StringLength(8, MinimumLength = 3)]
        [ValidUserNameAttribue(ErrorMessage = "User name != 'Bob'")]
        [Display(Name = "User name")]
        public string UserName { get; set; }

        [Required]
        [StringLength(8, MinimumLength = 3)]
        [Display(Name = "Display name")]
        public string DisplayName { get; set; }
    }

    public class ValidationModel
    {
        public User User { get; set; }       

        public List<User> Users { get; set; }
    }
}